%define soname  2.2.0
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           sfml
Version:        2.2
Release:        %mkrel 1
Summary:        Multimedia C++ API providing access to graphics, input, audio, etc
Group:          Development/C++
License:        zlib
URL:            http://www.sfml-dev.org/
# Repacked to get rid of ./extlibs dir containing Windows and Mac binaries
#Source0:        http://www.sfml-dev.org/download/sfml/%{version}/SFML-%{version}-sources.zip
Source0:        SFML-%{version}.tar.xz
Obsoletes:      sfml2 < 2.1-9

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.


%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.

%files -n %{libname}
%doc readme.txt license.txt
%{_libdir}/libsfml-*.so.%{soname}


%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
#--- Previous devel packages from SFML 1.6
Obsoletes:  %{_lib}sfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}sfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}sfml-network-devel < 1.6-11
Obsoletes:  %{_lib}sfml-system-devel < 1.6-11
Obsoletes:  %{_lib}sfml-window-devel < 1.6-11
Obsoletes:  %{_lib}csfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}csfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}csfml-network-devel < 1.6-11
Obsoletes:  %{_lib}csfml-system-devel < 1.6-11
Obsoletes:  %{_lib}csfml-window-devel < 1.6-11
Obsoletes:  %{_lib}sfml-devel < 1.6-11
Obsoletes:  %{_lib}csfml-devel < 1.6-11
Provides:   sfml-audio-devel
Provides:   sfml-graphics-devel
Provides:   sfml-network-devel
Provides:   sfml-system-devel
Provides:   sfml-window-devel
Provides:   csfml-audio-devel
Provides:   csfml-graphics-devel
Provides:   csfml-network-devel
Provides:   csfml-system-devel
Provides:   csfml-window-devel
Provides:   csfml-devel
#---
Obsoletes:  %{_lib}sfml2-devel < 2.1-9
Provides:   %{_lib}sfml2-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes files for developing programs based on %{name}

%files -n %{devname}
%doc examples/
%{_libdir}/libsfml-*.so
%{_includedir}/SFML/
%{_libdir}/pkgconfig/sfml-*.pc
%{_datadir}/cmake/Modules/FindSFML.cmake


%prep
%setup -q -n SFML-%{version}
%apply_patches

%build
%cmake -DSFML_INSTALL_PKGCONFIG_FILES=TRUE
%make

%install
%makeinstall_std -C build

install -D -m644 %{buildroot}%{_datadir}/SFML/cmake/Modules/FindSFML.cmake \
    %{buildroot}%{_datadir}/cmake/Modules/FindSFML.cmake
rm -rf %{buildroot}%{_datadir}/SFML


%changelog
* Sun Feb 08 2015 akien <akien> 2.2-1.mga5
+ Revision: 814212
- Version 2.2
- Do not build and package the documentation

* Sat Jan 31 2015 akien <akien> 2.1-9.mga5
+ Revision: 812928
- Obsolete sfml2 SRPM
- Drop hack to make SFML2 parallel installable with SFML1.6, the latter was dropped
- Obsolete all previous SFML1.6 devel packages
- Rename to "sfml", the previous sfml 1.6 package has been obsoleted

* Wed Oct 15 2014 umeabot <umeabot> 2.1-8.mga5
+ Revision: 739140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-7.mga5
+ Revision: 689125
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.1-6.mga5
+ Revision: 670280
- rebuild for glew

* Thu Jan 02 2014 danf <danf> 2.1-5.mga4
+ Revision: 563941
- Added glxcontextid.patch to add missing typedef

  + blue_prawn <blue_prawn>
    - rebuild to check issue with glxext.h reported by Pascal Terjan

* Sat Oct 19 2013 umeabot <umeabot> 2.1-4.mga4
+ Revision: 533613
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 blue_prawn <blue_prawn> 2.1-3.mga4
+ Revision: 474085
- build requires doxygen
- added doxygen generated API documentation

* Tue Aug 13 2013 wally <wally> 2.1-2.mga4
+ Revision: 466217
- fix devel pkg name
- add more strict provides and requires

* Thu Aug 08 2013 blue_prawn <blue_prawn> 2.1-1.mga4
+ Revision: 464698
- updated to last version 2.1

* Fri Jul 26 2013 sander85 <sander85> 2.0-5.mga4
+ Revision: 458678
- Rebuild for new glew

* Wed Jun 05 2013 neoclust <neoclust> 2.0-4.mga4
+ Revision: 437476
- Add fedora patch to make sfml2 and sfml co installable

* Mon Jun 03 2013 neoclust <neoclust> 2.0-3.mga4
+ Revision: 435920
- Fix devel package name

* Mon Jun 03 2013 fwang <fwang> 2.0-2.mga4
+ Revision: 435489
- correct libname

* Tue May 07 2013 blue_prawn <blue_prawn> 2.0-1.mga4
+ Revision: 412443
- build requires libjpeg
- build requires glew
- build requires cmake
- imported package sfml2

